Package org.apache.ignite.internal.processors.cache.persistence.wal.serializer

## Class RecordDataV2Serializer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer
  - - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV2Serializer

All Implemented Interfaces:
  `RecordDataSerializer`

    public class RecordDataV2Serializer
    extends RecordDataV1Serializer

Record data V2 serializer.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`RecordDataV1Serializer.EncryptedDataEntry`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`cctx, co, pageSize, realPageSize`

### Constructor Summary

Constructors
`RecordDataV2Serializer​(GridCacheSharedContext cctx)` Create an instance of V2 data serializer.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `plainSize​(WALRecord rec)`
`protected void` `writePlainRecord​(WALRecord rec, ByteBuffer buf)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`cctx, dataSize, entrySize, readRecord, size, writeRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordDataV2Serializer

    public RecordDataV2Serializer​(GridCacheSharedContext cctx)

Create an instance of V2 data serializer.

Parameters:
  `cctx` - Cache shared context.

### Method Detail

#### plainSize

    protected int plainSize​(WALRecord rec)
                     throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### writePlainRecord

    protected void writePlainRecord​(WALRecord rec,
                                    ByteBuffer buf)
                             throws IgniteCheckedException

Throws:
  `IgniteCheckedException`